Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub

java.lang.Object
io.grpc.stub.AbstractStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub>
io.grpc.stub.AbstractAsyncStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub>
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub

Enclosing class:
  `DhfsObjectSyncGrpcGrpc`

public static class DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub extends io.grpc.stub.AbstractAsyncStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub>
A stub to allow clients to do asynchronous rpc calls to service DhfsObjectSyncGrpc.

## Nested Class Summary

## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

## Method Summary

Modifier and Type
Method
Description
`protected DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub`
`build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void`
`canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)`
`void`
`getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)`
`void`
`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`
`void`
`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

protected DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub>`

### opPush

public void opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)

### getObject

public void getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)

### canDelete

public void canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)

### ping

public void ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)